package com.gic.haoban.manage.web.vo.open;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;
import com.gic.web.common.jsonSeralizer.UserNameJsonSeralizer;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: TabOpenQwAlarmLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2024年06月12日 12:45:27
 * @Modify
 * @CopyRight 杭州
 */
public class OpenQwAlarmLogExcelVO implements Serializable {

    private static final long serialVersionUID = 98010897759200L;

    /**
     * 1单聊 2群聊
     */
    private String chatTypeExcel;
    /**
     * 敏感词
     */
    private String alarmWords;
    /**
     * 内容
     */
    private String content;
    /**
     * 昵称
     */
    @JsonSerialize(using = UserNameJsonSeralizer.class)
    private String memberName;
    /**
     * 创建时间
     */
    private String createTimeExcel;
    /**
     * 群名称
     */
    private String groupChatName;
    /**
     * 会员Nick
     */
    @JsonSerialize(using = UserNameJsonSeralizer.class)
    private String memberNick;
    /**
     * 会员卡
     */
    @JsonSerialize(using = CardNoJsonSeralizer.class)
    private String memberCard;
    /**
     * 手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone;
    /**
     * 导购
     */
    private String clerkCode;
    /**
     * 导购
     */
    private String clerkName;
    /**
     * 门店
     */
    private String storeCode;
    /**
     * 门店
     */
    private String storeName;

    /**
     * 成员名称
     */
    private String staffName ;

    public String getChatTypeExcel() {
        return chatTypeExcel;
    }

    public void setChatTypeExcel(String chatTypeExcel) {
        this.chatTypeExcel = chatTypeExcel;
    }

    public String getAlarmWords() {
        return alarmWords;
    }

    public void setAlarmWords(String alarmWords) {
        this.alarmWords = alarmWords;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getCreateTimeExcel() {
        return createTimeExcel;
    }

    public void setCreateTimeExcel(String createTimeExcel) {
        this.createTimeExcel = createTimeExcel;
    }

    public String getGroupChatName() {
        return groupChatName;
    }

    public void setGroupChatName(String groupChatName) {
        this.groupChatName = groupChatName;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberCard() {
        return memberCard;
    }

    public void setMemberCard(String memberCard) {
        this.memberCard = memberCard;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }
}